Loading...
Searching...
No Matches
RSL Helper Functions
Globus RSL

RSL Helper Functions. More...

## Functions

int | globus_rsl_assist_attributes_canonicalize (globus_rsl_t *rsl)
| Canonicalize all attribute names in an RSL parse tree.
void | globus_rsl_assist_string_canonicalize (char *ptr)
| Canonicalize an attribute name.

## Detailed Description

RSL Helper Functions.

The rsl_assist library provide a set of functions to canonicalize RSL parse trees or strings.

## Function Documentation

## globus_rsl_assist_attributes_canonicalize()

int globus_rsl_assist_attributes_canonicalize | ( | globus_rsl_t * | rsl | ) |

Canonicalize all attribute names in an RSL parse tree.

The globus_rsl_assist_attributes_canonicalize() function performs an in-place canonicalization of the RSL parse tree pointed to by its rsl parameter. All relation attribute names will be changed so that they lower-case, with all internal underscore characters removed.

Parameters

  rsl | Pointer to the RSL parse tree to canonicalize.

Returns
  If globus_rsl_assist_attributes_canonicalize() is successful, it will ensure that all attribute names in the given RSL will be in canonical form and return GLOBUS_SUCCESS. If an error occurs, it will return GLOBUS_FAILURE.

Return values

  GLOBUS_SUCCESS | Success
  GLOBUS_FAILURE | Failure

## globus_rsl_assist_string_canonicalize()

void globus_rsl_assist_string_canonicalize | ( | char * | ptr | ) |

Canonicalize an attribute name.

The globus_rsl_assist_string_canonicalize() function modifies the NULL-terminated string pointed to by its ptr parameter so that it is in canonical form. The canonical form is all lower-case with all underscore characters removed.

Parameters

  ptr | Pointer to the RSL string to modify in place.

Returns
  void